2.340 - [2022-11-23] Confirmed compatibility with WooCommerce 7.2
2.339 - [2022-11-06] Confirmed compatibility with WooCommerce 7.1 and WordPress 6.1
2.338 - [2022-10-03] New Rank Math SEO fields available even if you do not have Rank Math SEO Pro.
2.337 - [2022-09-30] Added SEO Title, Description, and Focus Keywords from the Rank Math SEO Pro plugin.
2.336 - [2022-09-28] Confirmed compatibility with WooCommerce 7.0
2.335 - [2022-08-31] For the WooCommerce Subscriptions integration, changed the Subscription Price column to be currency type instead of number.
2.334 - [2022-08-09] Added YITH Cost of Good field from the YITH Cost of Goods for WooCommerce plugin.
2.333 - [2022-08-09] Added GTIN field from the Rank Math SEO Pro plugin.
2.332 - [2022-08-04] Global setting to hide the Pimwick Plugins menu in the admin area. Confirmed compatibility with WooCommerce 6.8
2.331 - [2022-07-25] Fix the display of the Variation Name field when using the Export CSV feature.
2.330 - [2022-07-16] Usability improvement: When bulk editing Checkbox fields, split the option into Yes / No instead of a single checkbox.
2.329 - [2022-07-13] Added integration with Aelia Currency Switcher for WooCommerce to bulk edit Regular Price and Sale Price by currency.
2.328 - [2022-07-05] Fixed an issue with saving certain fields.
2.327 - [2022-07-04] Fixed an issue with permanently deleting products.
2.326 - [2022-07-02] Fixed a possible PHP exception when deleting products.
2.325 - [2022-06-29] Added a setting to hide the Pimwick Plugins menu in the admin area. Updated save routines to use the built in WooCommerce setter methods where available.
2.324 - [2022-06-24] Added fields from the Related Products for WooCommerce plugin by WebToffee.
2.323 - [2022-06-23] Added troubleshooting information to the WooCommerce System Report. WooCommerce 6.7 compatible. Fixed an issue introduced with v2.321 on some systems.
2.322 - [2022-06-20] Moved the Cost column from the WooCommerce Cost of Goods plugin to after the Sale End Date column. Moved the min max quantities columns to after the Weight column. Open the help page in a new window.
2.321 - [2022-06-15] Fixed an issue with taxonomies caused by v2.318. Refactored some code.
2.320 - [2022-06-14] Product Gallery Images - New feature to bulk Add and bulk Remove images from the gallery. Updated the Help document to include a link to our FAQ.
2.319 - [2022-06-12] Fixed an issue preventing the Save Button from working after the last update.
2.318 - [2022-06-11] Added the ability to export results into a CSV file. Cleaned up some jQuery Migrate warning messages. Updated the WooCommerce minimum version requirement to 4.0.
2.317 - [2022-06-07] Product Gallery column removed from the Standard Columns view for performance reasons.
2.316 - [2022-06-06] Added new feature to always Round Up (ceiling) or Round Down (floor) when changing prices by percentage.
2.315 - [2022-06-03] WooCommerce 6.6 compatibility.
2.314 - [2022-06-03] Updated third party library that handles plugin updates.
2.313 - [2022-05-31] New Feature! Bulk edit the Product Gallery Images.
2.312 - [2022-05-19] Fixed an issue that might prevent the admin functions from working correctly.
2.311 - [2022-05-19] Small bug fixes.
2.310 - [2022-05-18] Code cleanup: removed extraneous closing PHP tags from files.
2.309 - [2022-05-18] New feature to optionally increase by a Factor when increasing prices by Percent. Fixed an integration with WooCommerce Price Based on Country by Oscar Gare. Confirmed compatibility with WordPress 6.0
2.308 - [2022-05-06] Confirmed compatibility with WordPress 6.0
2.307 - [2022-05-01] Squished a few small bugs.
2.306 - [2022-04-28] Compatibility with WooCommerce 6.5 and WordPress 5.9.3
2.305 - [2022-04-01] Updated Italian translation. Added Spanish translation. Compatibility with WooCommerce 6.4 and WordPress 5.9.2
2.304 - [2022-03-28] Cleaning up some jQuery function calls to reduce migratewarn messages in web browser developer console.
2.303 - [2022-03-15] Added a new checkbox option to Only create Variations for newly added Attributes. Removed PWBE_ONLY_CREATE_VARIATIONS_FOR_NEWLY_ADDED_ATTRIBUTES configuration flag since it is now a checkbox.
2.302 - [2022-03-15] If PWBE_ONLY_CREATE_VARIATIONS_FOR_NEWLY_ADDED_ATTRIBUTES is set to true, only create the new Variations for the newly added attributes, rather than for all combinations.
2.301 - [2022-02-07] WordPress 5.9 and WooCommerce 6.2 compatibility.
2.300 - [2022-01-22] Bulk editing textarea fields such as Description will now preserve newlines.
2.299 - [2021-12-23] Updated POT file and Italian translations.
2.298 - [2021-12-23] Updated javascript files so that the strings can be translated.
2.297 - [2021-11-25] Confirmed compatibility with WooCommerce 6.0
2.296 - [2021-11-22] Added integration for Product Prices by User Roles for WooCommerce Pro by Tyche Softwares
2.295 - [2021-11-10] Compatibility with WooCommerce v5.9
2.294 - [2021-10-27] Fixed an issue where Rounding Precision might be used when increasing or decreasing currencies by a fixed amount.
2.293 - [2021-10-27] Fixed an issue when sorting columns for the ATUM Inventory Management for WooCommerce plugin.
2.292 - [2021-09-29] Added a new setting: Save Batch Size. This will allow adjusting the number of records that are processed when you click the Save Changes to help with servers that timeout while saving the default 25 records at a time.
2.291 - [2021-09-13] Confirmed compatibility with WooCommerce v5.7
2.290 - [2021-08-30] Printing the bulk editor will now print just the results grid instead of all elements. This can be disabled under the Settings menu.
2.289 - [2021-08-17] Added a new wp-config.php option to change the memory limit setting or disable it entirely: PWBE_MEMORY_LIMIT
2.288 - [2021-08-03] Fixed an issue with filtering by Featured for WooCommerce v3.0 and later. Removed a PHP Warning message that can appear in the log files when running wp-cron.php on the command line. Confirmed compatibility with WooCommerce 5.6.
2.287 - [2021-08-03] Fixed an issue with filtering by Featured for WooCommerce v3.0 and later. Removed a PHP Warning message that can appear in the log files when running wp-cron.php on the command line.
2.286 - [2021-07-23] Confirmed compatibility with WordPress v5.8 and WooCommerce v5.5
2.285 - [2021-07-16] Fixed an issue with saving fields in the 'ATUM Inventory Management for WooCommerce' plugin by Stock Management Labs.
2.284 - [2021-05-26] Fixed an issue where the check/uncheck all Checkbox would not work when scrolled down.
2.283 - [2021-05-26] Fixed an issue where Low Stock Threshold was not available for individual Variations.
2.282 - [2021-04-21] Fixed an issue preventing string filters that contain an underscore character.
2.281 - [2021-04-07] Added a new feature to be able to perform a Search and Replace function on Currency column types.
2.280 - [2021-03-12] Added integration with the Cost of Goods for WooCommerce plugin by WPFactory.
2.279 - [2021-03-08] Fixed a sorting issue with Global Attributes for when using unicode characters in the attribute slug. Confirmed compatibility with WordPress 5.7 and WooCommerce 5.1
2.278 - [2021-02-22] Fixed an integration issue with the WooCommerce Wholesale Prices plugin where wholesale price would incorrectly display for the Variable Product.
2.277 - [2021-02-17] Added the Pre-Order field from the YITH Pre-Order for WooCommerce plugin.
2.276 - [2021-02-12] Updated call to the WooCommerce hook woocommerce_update_product_variation to include the Product variable. Fixed the HTML IDs for some of the bulk editors to make the HTML valid.
2.275 - [2021-02-10] Add integration with the Dokan Multi Vendor Marketplace plugin. Bulk edit Vendor and filter by Vendor.
2.274 - [2021-02-04] Fixed an issue with saving data with the WooCommerce Multi Currency plugin by VillaTheme.
2.273 - [2021-02-04] Confirmed WooCommerce 5.0 compatibility.
2.272 - [2021-01-18] Added GTIN, MPN, and EAN fields from the WooCommerce Product Feed Pro by WebAppick.
2.271 - [2020-12-30] Confirmed compatibility with WooCommerce v4.9
2.270 - [2020-12-17] Updated call to woocommerce_update_product for other plugins that listen to this hook and use the new second parameter.
2.269 - [2020-12-16] Fixed an issue with the Text bulk editor on some systems.
2.268 - [2020-12-04] Confirmed compatibility with WordPress 5.6 and WooCommerce 4.8
2.267 - [2020-11-16] Added a filter for the Set For Coming Soon flag from the WooCommerce Coming Soon Product plugin by Terry Tsang.
2.266 - [2020-11-16] Added support for WooCommerce Coming Soon Product by Terry Tsang. Added fields from Product Feed ELITE for WooCommerce by AdTribes.io
2.265 - [2020-11-10] Removed possible PHP warning for an empty array in htmlspecialchars.
2.264 - [2020-11-09] Fix an error when sorting by the Featured column.
2.263 - [2020-11-06] Added Featured to the Filters list.
2.262 - [2020-11-06] Removed Javascript warning about missing source map files when the developer console is open. Added Length, Width, Height, and Weight to the Filters list. Confirmed compatibility with WooCommerce v4.7
2.261 - [2020-10-27] Updated to support N-Media WooCommerce PPOM PRO by Najeeb Ahmad.
2.260 - [2020-10-21] Added the checkbox column Digital that comes from the WooCommerce German Market plugin.
2.259 - [2020-10-06] Confirmed compatibility with WooCommerce v4.6
2.258 - [2020-09-22] Fixed an issue when using the IS ALL OF option with Categories.
2.257 - [2020-09-22] Verified compatibility with WooCommerce 4.5
2.256 - [2020-09-17] Added support for PPOM for WooCommerce by Najeeb Ahmad
2.255 - [2020-08-26] Added fields from the Estimated Delivery Date for WooCommerce plugin by PI WebSolution.
2.254 - [2020-08-26] Added fields from the Estimated Delivery Date for WooCommerce plugin by PI WebSolution.
2.253 - [2020-08-22] Fixed a potential error about a duplicate primary key when filtering with Show All Variations checked.
2.252 - [2020-08-22] Fixed a potential error about a duplicate primary key when filtering with Show All Variations checked.
2.251 - [2020-08-20] Fixed a potential error about a duplicate primary key when filtering.
2.250 - [2020-08-10] Fixed an issue that can cause the error 'pwbe_products table does not exist' on certain hosts, in particular sites hosted on wordpress.com
2.249 - [2020-07-30] Fixed small issue with the Coupons Plus integration and the Clip Coupon feature.
2.248 - [2020-07-29] Integration with our newest plugin: PW WooCommerce Coupons Plus. Check it out at https://www.pimwick.com/pw-woocommerce-coupons-plus
2.247 - [2020-07-27] Fixed an issue editing fields from the latest version of the Flatsome theme.
2.246 - [2020-06-17] Confirmed compatibility with WooCommerce v4.3
2.245 - [2020-05-21] When the Linked Products setting is activated, added new wp-config.php options to not load certain product types (PWBE_LINKED_PRODUCTS_IGNORE_SIMPLE_PRODUCTS, PWBE_LINKED_PRODUCTS_IGNORE_VARIABLE_PRODUCTS, or PWBE_LINKED_PRODUCTS_IGNORE_VARIATION_PRODUCTS)
2.244 - [2020-05-20] Added Variable products to the list whenever the Linked Productions options is enabled.
2.243 - [2020-05-12] Fixed a scrolling issue when adding a lot of items to a Multi-select bulk editor.
2.242 - [2020-05-11] When sorting numeric columns, use DECIMAL instead of SIGNED to make sorting fractions work properly.
2.241 - [2020-05-08] Added the following field from the Google Product Feeds plugin: Hide this product from the feed
2.240 - [2020-05-01] Show the label (Custom Attribute) on the custom attribute filters.
2.239 - [2020-05-01] Updated to support the latest version of the ELEX WooCommerce Catalog Mode, Wholesale & Role Based Pricing plugin.
2.238 - [2020-04-30] Small fix to not add an undo/redo entry if a bulk edit operation does not change any fields. Updated the plugin title in the loco.xml file. Added the Facebook Description field from the Facebook for WooCommerce plugin. Confirmed compatibility with WordPress 5.5
2.237 - [2020-04-22] Fix for a conflict with the Hide Price Until Login plugin by CedCommerce.
2.236 - [2020-04-21] Added a new option to display a border around the row being edited to make it easier when scrolling. This can be disabled from the Settings menu.
2.235 - [2020-04-17] Added support for the Subtitle field from the WP Subtitle plugin by Ben Huson.
2.234 - [2020-04-16] Allow changing the required capability for the bulk editor by setting PWBE_REQUIRES_CAPABILITY constant in your wp-config.php. The default is manage_woocommerce.
2.233 - [2020-04-16] Fixed sorting all Number field types for databases that have the data as a string rather than an integer.
2.232 - [2020-04-16] Added new Settings page with some customization options. Fixed sorting by Menu Order for databases that have the menu data as a string rather than an integer.
2.231 - [2020-04-14] Fixed an issue when filtering Variable products by price with the Is Empty or the Is Not Empty filter. It might return Variable products that should not have matched.
2.230 - [2020-04-14] Added support for the WooCommerce Local Pickup Plus plugin by SkyVerge. Fixed a performance issue with the integration for Price Based on Country for WooCommerce by Oscar Gare. Prevent the Pro version from being activated while the Free version is still active. Confirmed compatibility with WooCommerce v4.1
2.229 - [2020-04-03] Fixed a typo in the update json file. Fixed an issue from the previous version that would make some fields read-only that should be editable.
2.228 - [2020-04-02] Added support for the WP Lister Amazon plugin by WPLabs.
2.227 - [2020-03-18] Fixed issue with saving attributes.
2.226 - [2020-03-17] Fixed issue in v2.225 which might cause columns not to display.
2.225 - [2020-03-17] Added ability to add custom Taxonomies to the bulk editor using the global variable . Email us for detailed instructions.
2.224 - [2020-03-16] Confirmed compatibility with WordPress 5.4
2.223 - [2020-02-27] Allow HTML in fields such as Description, Name, etc.
2.222 - [2020-02-25] This version fixes a reported security issue with the plugin. It is recommended that all users upgrade to this latest version. Confirmed compatibility with WordPress 5.3.2 and WooCommerce 4.0.0
2.221 - [2020-01-14] Fixed an issue with setting Tax Class for Variable products.
2.220 - [2019-12-29] Added a new filter "pwbe_variable_product_types" that can be used to include custom variation product types in the results.
2.219 - Confirmed compatibility with WooCommerce 3.9.0
2.218 - Fixed an issue with the updater that may return Reached Maximum Domains message after moving domains.
2.217 - Integration with LiteSpeed Cache to purge the cache after saving products. Improved the license manager so that if you deactivate the plugin it will automatically release the license key. Created a changelog.txt for old change history.
2.216 - Integration with the plugin WooCommerce Skroutz & BestPrice XML Feed by Web Expert.
2.215 - New feature: Copy a view. Also includes performance improvements.
2.214 - New feature: Bulk edit product and variation images!
2.213 - Handle corrupt View data more gracefully rather than preventing new Views from being created.
2.212 - Added support for the WooCommerce Google Product Feed plugin by Ademti Software Ltd.
2.211 - Added support for the WooCommerce Role Based Price plugin by Varun Sridharan. Added support for Multi Currency for WooCommerce by VillaTheme. Improved support for custom taxonomy filtering.
2.210 - Added a new wp-config option: PWBE_PREFILTER_VARIATIONS. If the data incorrectly contains product_variation records that are children of Simple Products you will want to enable this flag. It is disabled by default because typically it will not be needed and could slow down the search results.
2.209 - Added the ability to clear Number values (set to n/a) from the bulk edit menu.
2.208 - Added support for the WooCommerce Variation Swatches - Pro plugin by Emran Ahmed.
2.206 - Fixed issue with clearing the Sale End Date value.
2.205 - Fixed issue where an unreachable server may incorrectly show expired license in the admin area.
2.204 - Added fields for the WooCommerce Cost of Goods plugin by SkyVerge.
2.203 - Fixed sorting by Catalog Visibility.
2.202 - Fixed an issue with the license manager.
2.201 - Integration with the 'Product Subtitle for WooCommerce' plugin.
2.200 - Internal improvements to licensing system and update manager.
2.199 - Added support for the EAN Code field from the Product GTIN (EAN, UPC, ISBN) for WooCommerce plugin by Emanuela Castorina.
2.198 - Added additional fields for variations with the WooCommerce Min/Max Quantities plugin.
2.197 - Added the Low Stock Threshold column. Added fields for the WooCommerce Advanced Quantity plugin by Morning Train Technologies ApS.
2.196 - Fixed the Sale End Date to be 23:59:59 like it is in WooCommerce.
2.195 - Tested for compatibility with the latest WordPress and WooCommerce versions.
2.194 - Fix for the WooCommerce Price Based on Country (Basic) plugin by Oscar Gare.
2.193 - Small bug fix with WooCommerce Germanized integration.
2.192 - Added a hook to be able to bypass the select2 option for certain filters.
2.191 - Fixed potential registration issue when JSON response not parsed automatically.
2.190 - Added support for the ELEX WooCommerce Catalog Mode, Wholesale & Role Based Pricing. Added support for WooCommerce Discontinued Products by Leon @ 211J. Fixed issue filtering by Catalog Visibility.
2.189 - Added support for the AffiliateWP plugin by AffiliateWP, LLC and the search visibility field from Yoast SEO.
2.188 - Made Variation Description part of the Standard Columns to avoid confusion.
2.187 - Added support for the following plugins: B2B Market by MarketPress. WooCommerce UPC, EAN, and ISBN by Scott Bolinger. YITH WooCommerce Barcodes Premium by YITHEMES.
2.186 - Fixed issue with filtering Variable products using a mixture of parent and child fields.
2.185 - Added support for the Canonical URL field from Yoast SEO.
2.184 - Added support for the following plugins: Product Quantity for WooCommerce by Algoritmika Ltd, Facebook for WooCommerce.
2.183 - Added support for WooCommerce Price Based on Country (Basic) by Oscar Gare.
2.182 - Added support for WC Marketplace by The Grey Parrots.
2.181 - Sort custom attribute values.
2.180 - Gracefully handle attributes that do not have a Position flag.
2.179 - Fixed a compatibility error with old versions of PHP and saving products.
2.178 - Fixed the Tax Status filter when returning Variable Products.
2.177 - Added support for the WooCommerce German Market plugin by MarketPress.
2.176 - Made select boxes searchable in the results fields.
2.175 - Added the ability for 'Increase by percentage' to be negative for things like subsidies.
2.174 - Fixed a potential unitialized string offset error while saving products.
2.173 - Confirmed compatibility with WooCommerce v3.5.0.
2.172 - Added new beta feature to allow pasting comma-separated values into the select boxes.
2.171 - Added new WPML Language filter.
2.170 - Added support for the WooCommerce Min/Max Quantities plugin.
2.169 - Added the ability to bulk edit Cross-sells and Upsells (for performance reasons, this requires PWBE_LINKED_PRODUCTS to be defined in wp-config.php).
2.168 - Added support for Custom Labels from the Themes Zone Feature Pack plugin.
2.167 - Made the Published On and Last Updated On fields editable.
2.166 - Added support for the YITH WooCommerce Product Brands plugin.
2.165 - Added support for WooCommerce Product Add-Ons by WooCommerce and for the plugin WooCommerce Product Image Gallery Options by Create and Code.
2.164 - New hooks for adding custom buttons to the results.
2.163 - Added the ability to filter by Catalog Visibility. Increased the width of the text edit fields.
2.162 - Silence a possible PHP warning message when a product does not have default attributes.
2.161 - Updated date fields to use the new WooCommerce 3.0 formatting which fixes a display issue on some systems.
2.160 - Fixed an issue introduced in the previous release.
2.159 - Sync the Stock Status when changing stock quantity.
2.158 - Added the Italian Language translation.
2.157 - Added support for the WooCommerce Featured Video plugin by David Towoju (Figarts).
2.156 - Added translation support using Loco Translate, Poedit, etc.
2.155 - Added new config option PWBE_SAVE_BATCH_SIZE to help prevent HTTP 504 Timeout errors with slow servers.
2.154 - Fixed an issue with creating Variations when using WPML.
2.153 - Fixed an issue with returning certain deleted products.
2.152 - Fixed issue with some systems saving more than 25 items at once.
2.151 - Added new fields support the Gravity Forms WooCommerce Products Addon plugin.
2.150 - Added new fields to edit Download URL and Download File name.
2.149 - Handle adding new attributes to products that were imported with bad data.
2.148 - Added support for the 'Perfect WooCommerce Brands' plugin by Alberto de Vera Sevilla.
2.147 - Added new flag for certain kinds of variation creation.
2.146 - Added support for the 'WooCommerce Product Subtitle' plugin.
2.145 - Added support for the 'YITH WooCommerce Featured Audio and Video Content Pro' plugin. Added fields from the 'ATUM Inventory Management for WooCommerce' plugin by Stock Management Labs.
2.144 - Fixed filter for custom fields using 'is all of' filter.
2.142 - Added option to override MySQLi detection for certain systems.
2.141 - Added support for the 'Extra' product fields from the Flatsome theme.
2.140 - Fixed a conflict with the WooCommerce Multilingual plugin.
2.139 - Updated plugin to be able to handle malformed prices when doing bulk operations.
2.138 - Variations titles now show the formatted name.
2.137 - Added 'Published on' and 'Last edited on' fields.
2.136 - Added new hook pwbe_variation_created.
2.135 - Added support for the WooCommerce Wholesale Prices by Rymera Web Co.
2.134 - Added External/Affiliate Product URL and Button Text fields.
2.133 - Added auto calculation for WooCommerce Germanized plugin.
2.132 - Added a new column called Slug for the permalinks.
2.131 - Added support for WooCommerce Germanized plugin (if installed).
2.130 - Added YITH WooCommerce Featured Video URL to the results (if installed).
2.129 - Fixed logic issue when filtering by Product Type.
2.128 - Added the ability to filter by Slug.
2.127 - Added additional backwards compatibility checks for Tags and Categories.
2.126 - More conditional checks for backwards compatibility.
2.125 - Added the ability to select Primary Category. Requires the Yoast SEO plugin.
2.124 - Added some conditional checks for backwards compatibility.
2.123 - Removed invalid filter option 'is all of' for dropdown field types that can only have one value.
2.122 - Added support for YITH WooCommerce Brands Add-On plugin.
2.121 - Fixed possible issue sorting on variation attribute.
2.120 - Added new feature to select all / select none for multi-select fields like Attributes.
2.119 - Allow sorting by variation attribute. Fix for attribute filter when the slug matches multiple attributes.
2.118 - Added a new column for bulk editing the 'Enable reviews' field.
2.117 - Fixed issue filtering some custom attributes.
2.116 - Added four new action hooks before and after columns are output.
2.115 - Internal engine improvements.
2.114 - Added the 'On backorder' option to Stock Status fields for WooCommerce 3.0 and later.
2.113 - Added option to use Regular Expressions on Search and Replace for text fields.
2.112 - Now adding Variations is optional for Variable Products when adding new Attributes.
2.111 - Added the ability to leverage the SQL Builder class in custom hooks.
2.110 - Updated database class to support mysqli in PHP v5.4
2.109 - Fixed issue where number fields may appear blank for editing instead of 'n/a'.
2.108 - Added support for editing POS Visibility from the WooCommerce POS plugin by kilbot.
2.107 - Fixed problem creating variations for custom product attributes that have quotation marks.
2.106 - Tweak to SQL query when saving products to prevent potential error on some systems.
2.105 - Added support for Yoast SEO fields.
2.103 - Minor bug fixes.
2.102 - Fixed potential error when saving views with international character codes.
2.101 - Added support for the WooCommerce Subscriptions plugin.
2.100 - Fix for potential error while attempting to permanently delete a variation.
2.99 - Added new columns: Downloadable, Download Limit, and Download Expiry.
2.98 - Added .pot file for translation support.
2.97 - Improved logic for adding/removing custom attributes that are not taxonomies.
2.96 - Fixed sorting of Manage Stock field.
2.95 - Added 'Virtual' to the columns.
2.94 - New attributes will not append ' attribute' after the name.
2.93 - Added PW Bulk Edit menu under the WooCommerce Products menu to make it easier to find.
2.92 - Added new filter for Manage Stock option.
2.91 - Added new feature to set rounding precision when increasing or decreasing prices by a percentage.
2.90 - Fixed issue with clearing the Sale Price.
2.89 - Fixed bulk editing Sale Price based on Regular Price.
2.88 - Fixed min/max filter for Stock Quantity.
2.87 - Added a new filter for Stock Quantity. Improved internationalization for column headers and filters.
2.86 - Added a new filter for Stock Status.
2.85 - Fixed display issue for dates.
2.84 - Added the ability to filter by Tax Class and Tax Status.
2.83 - Added the ability to set visibility for attributes.
2.82 - Fixed issue saving Sale Start and Sale End dates in WC 3.0+
2.81 - Fixed issue where Stock Status column wouldn't appear unless you had Enable Stock Management enabled.
2.80 - Fixed sorting on the Featured column in WooCommerce 3.0 and later.
2.79 - Fixed issue setting Featured flag and Catalog Visibility in WooCommerce 3.0 and later.
2.78 - Now you can include all Variations when filtering products. Additionally, you can filter products by Type (Simple, Variable, etc).
2.77 - Added the ability to permanently delete products (WooCommerce 3.0 and later only).
2.76 - Fixed issue with older versions of PHP.
2.75 - Fixed issue when sorting by meta columns.
2.74 - Fixed a possible exception when filtering results.
2.73 - Fixed issue with clearing Regular Price field.
2.72 - Added the ability to clear multiselect fields.
2.71 - Fixed an error while filtering the Is Empty option on attributes.
2.70 - Removed a warning about an undefined variable.
2.69 - Added support for YITH Multi Vendor plugin.
2.68 - Increase the timeout for the license validation.
2.67 - Tweaked the logic to create variations from attributes for variable products.
2.66 - Allow changing Product Type. Remove the attribute if all terms are removed.
2.65 - Allow changing Product Type. Remove the attribute if all terms are removed.
2.64 - Added blank option to the Attributes dropdown so you can set it back to 'n/a' if needed.
2.63 - Call additional hooks when updating prices.
2.62 - Added information about our other plugins.
2.60 - Added the Purchase Note field.
2.59 - Updated admin menu icon.
2.57 - Prevent issue where variations were being incorrectly shown for External products.
2.56 - Display 0 for prices that are not empty.
2.55 - Added a call to the update variation product hook while saving.
2.54 - Fixed an issue with single quotes not being encoded.
2.53 - Fixed incompatibility with the WordPress automatic emoji converter.
2.52 - Fixed error thrown when filtering by Variation Description.
2.51 - Fixed a potential issue with older versions of WooCommerce.
2.50 - Fixed an issue with saving URLs in the Description and Short Description fields.
2.49 - Added the ability to edit the Menu Order field on products. Improved performance for large results sets.
2.48 - Bugfix: More tweaks for older PHP versions.
2.47 - Bugfix: Small refactor to allow views to be saved with older PHP versions.
2.46 - Bugfix: Check for the product attributes being an array.
2.45 - Fixed a server 500 error with older versions of PHP.
2.44 - Prevent product title from being truncated.
2.43 - Tweaked how the cache gets cleared after a save to make it possibly more reliable.
2.42 - Catch an error that can occur if the property name is missing.
2.40 - Fixed a potential issue encountered with license key validation.
2.39 - Fixed Short Description filter so it only looks at the parent and not variations.
2.38 - Removed intro page since it's not really needed and just adds an extra step.
2.37 - Added a help image to results.
2.36 - Fix an issue with group filtering.
2.35 - Search and replace text now allows you to clear the entire string.
2.34 - Sold Individually is now editable.
2.33 - Small bug fix for select filters.
2.32 - Updated sync call to fix cache issue on some systems when changing prices.
2.31 - Fixed a few errors to support PHP 5.2
2.30 - Fixed a few errors to support PHP 5.2
2.29 - Improved database error reporting.
2.28 - Added Shipping Class as a filter.
2.27 - Allow changing of default variation values.
2.26 - Support for mysql and mysqli functions.
2.23 - Revamped the error checking for product search queries.
2.22 - Removed the hook check for scripts.
2.21 - Verify the field keys before saving.
2.20 - Removed call to delete-cache after saving.
2.19 - Prevent currency thousands separators from being saved.
2.18 - Better support for international currencies.
2.17 - Navigation improvements.
2.16 - Wrap cache delete inside try/catch.
2.15 - Fixed rounding of number fields.
2.14 - Clear an additional product cache when saving.
2.13 - Categories appear hierarchically now.
2.12 - Fixed taxonomy query for databases with different collations.
2.11 - Updated how Custom Product Attributes are saved and displayed. Fixed saving issue with Shipping Class.
2.10 - Fixed issue with column sorting.
2.9 - Searching now returns much faster. Fixed filtering issue on Sale Price.
2.8 - Searching now returns much faster. Fixed an issue with the dropdown menu being behind the dialog in some instances. Height, Width, Length, and Weight fields are now correctly editable.
2.7 - Fixed bug with saving and searching Categories and Tags.
2.6 - Small fixes to sticky header.
2.4 - Sticky header on the results table.
2.2 - Fixed an error thrown when you have more than 50 attributes defined.
2.1 - Improved the user interface for Views.
1.71 - You can now hold the Shift key while clicking a checkbox to select a range of products.
1.70 - Compatibility with WooCommerce 4.7.3. Prevent duplicate attributes that could cause an error while filtering.
1.69 - Major improvements to Variations including support for Custom Product Variations. Fixed issue with rounding Weight, Height, Length, and Width fields.
1.68 - Minor search bug fix.
1.67 - Allow editing of variation attributes. Allow editing Status for variations.
1.66 - Show attribute values on the variations.
1.65 -
1.64 - Fixed sorting of variations under the parent product.
1.63 - Allow editing of variation product names.
1.62 - Support for different decimal separators in price.
1.61 - Fixed an issue with sorting.
1.60 - Added filter links, fixed a bug with filtering Brands.
1.59 - Added Weight, Length, Width, and Height fields.
1.58 - Use PHP native set time limit function.
1.57 - Fixed issue with batch saving.
1.55 - Improved error reporting if there is a problem while saving.
1.54 - Update to improve compatibility with PHP 5.2
1.53 - Bulk add variations to variable products!
1.52 - Added the ability to edit Attribute selection for pre-configured Attributes.
1.51 - Fixed a few bugs with the new Views feature.
1.50 - Removed 'Exclude Free Shipping' calls and moved them to the actual plugin.
1.49 - Batch the saving to improve performance.
1.48 - Added Views to allow columns to be hidden. Reduced memory usage.
1.46 - Bug fix with older versions of php
1.45 - Added Tags to the editor. Added 'Is Empty' and 'Is Not Empty' filter options. Use configured currency rather than dollar.
1.44 - Added support for WooCommerce Multistore. Added Short Description to the editor. Reduced memory requirements while filtering (can fix an 'Error While Filtering' error).
1.43 - Fix a potential error with dropdown templates.
1.42 - Filter by Status. Statuses pulled from system rather than hard-coded with default statuses. Added matched record count.
1.41 - Changed how prices are saved internally.
1.40 - Output errors encountered during saving.
1.39 - Reworked saving logic.
1.38 - Fixed a syntax error saving with PHP 5.2 and 5.3
1.37 - Added a progress report to the saving process.
1.36 - Fixed a potential error for larger queries.
1.35 - Enhanced the plugin updater.
1.34 - Updated SQL statement to allow for larger result sets to be processed during filtering.
